<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */

use SmebankPlugin\Utils\PsVersionHelper;
use SmebankPlugin\Utils\Translator;

if (!defined('_PS_VERSION_')) {
    exit;
}

class SmebankErrorModuleFrontController extends ModuleFrontController
{
    /**
     * Process redirect request.
     */
    public function postProcess()
    {
        $type = Tools::getValue('type');
        if ($type === 'payment-failed') {
            $error = Translator::translate('Your order cannot be processed because the bank declined your transaction. Please try again.');
        } elseif ($type === 'payment-canceled') {
            $error = Translator::translate('Payment initiation was cancelled.');
        } else {
            $error = Translator::translate('Sorry, something went wrong');
        }

        $this->context->smarty->assign([
            'error' => $error,
        ]);

        if (PsVersionHelper::isPre17Version()) {
            $this->setTemplate('ps16/error.tpl');
        } else {
            $this->setTemplate('module:smebank/views/templates/front/ps17/error.tpl');
        }
    }
}
