<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */

namespace SmebankPlugin\Setup\Migration;

if (!defined('_PS_VERSION_')) {
    exit;
}

use Db;

class MigrationVer100
{
    /**
     * @return bool
     */
    public static function install()
    {
        $sql = [];

        $sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'kevin` (
    `id_kevin` int(11) NOT NULL AUTO_INCREMENT,
    `id_order` int(11) UNSIGNED NOT NULL,
    `payment_id` varchar(64) DEFAULT NULL,
    `ip_address` varchar(64) DEFAULT NULL,
    PRIMARY KEY  (`id_kevin`),
    KEY `id_order` (`id_order`),
    KEY `payment_id` (`payment_id`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

        foreach ($sql as $query) {
            if (Db::getInstance()->execute($query) == false) {
                return false;
            }
        }

        return true;
    }
}
