<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */


namespace SmebankPluginFramework\Presentation\Admin\Form\Validator;

class NotBlankValidator implements ValidatorInterface
{
	/**
	 * @var string
	 */
	private $message = 'This value should not be blank.';

	public function validate($value)
	{
		if (null === $value) {
			return false;
		}
		if (is_string($value)) {
			return (bool)strlen(trim($value));
		}

		return true;
	}

	public function getMessage()
	{
		return $this->message;
	}
}
