{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 *}

<div class="tab-pane active" id="kevin">
    <p>{$text_payment_id|escape:'html':'UTF-8'}</p>
    <p>{$text_cart_id|escape:'html':'UTF-8'}</p>
    {if $payment_date}
    <p>{l s='Payment' d='Admin.Global'}: {$payment_type|escape:'html':'UTF-8'}</p>
    <p>{l s='Date' d='Admin.Global'}: {$payment_date|escape:'html':'UTF-8'}</p>
    <p>{$text_payment_status|escape:'html':'UTF-8'}</p>
    {/if}
    {if $kevin_refunds}
    <p>{$text_refunds|escape:'html':'UTF-8'}:</p>
    <div class="table-responsive">
        <table class="table" id="shipping_table">
            <thead>
            <tr>
                <th>
                    <span class="title_box ">ID</span>
                </th>
                <th>
                    <span class="title_box ">{l s='Amount' d='Admin.Global'}</span>
                </th>
                <th>
                    <span class="title_box ">{l s='Status' d='Admin.Global'}</span>
                </th>
                <th>
                    <span class="title_box ">{l s='Date' d='Admin.Global'}</span>
                </th>
                <th>
                    <span class="title_box ">{l s='Error' d='Admin.Global'}</span>
                </th>
            </tr>
            </thead>
            <tbody>
            {foreach from=$kevin_refunds item=refund}
            <tr>
                <td>{$refund.refund_id|escape:'html':'UTF-8'}</td>
                <td>{$refund.amount|escape:'html':'UTF-8'}</td>
                <td>{$refund.status_group|escape:'html':'UTF-8'}</td>
                <td>{$refund.created_at|escape:'html':'UTF-8'}</td>
                <td>{$refund.error|escape:'html':'UTF-8'}</td>
            </tr>
            {/foreach}
            </tbody>
        </table>
    </div>
    {/if}
</div>
<hr/>
<script type="text/javascript">
    $(document).ready(function () {
        $('#shipping').removeClass('active');
    });
</script>