{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 *}

{foreach $alerts as $alert}
    <div class="alert alert-warning kevin-alert-warning">
        <p>{$alert|escape:'html':'UTF-8'}</p>
    </div>
{/foreach}

{if $is_redirect_to_frame_payment }
    <div class="row">
        <div class="col-xs-12">
            <p class="payment_module">
                <a href="{$redirect_to_frame_redirect_url|escape:'html':'UTF-8'}" class="cheque">
                    {$redirect_to_frame_title|escape:'html':'UTF-8'}
                </a>
            </p>
        </div>
    </div>
{elseif $is_bank_payment}
    <div class="kevin-search-wrapper">
        {if $is_country_dropdown }
            <select id="kevin-country-selector" class="form-select kevin-country-selector" onchange="filterByCountry(this.value)"
                    aria-label="Default select example" data-testid="country-dropdown">
                {if $selected_country_code == null}
                    <option>{$text_select_country|escape:'html':'UTF-8'}</option>
                {/if}
                {foreach $country_codes as $isoCode => $country}
                    {$selected = ''}
                    {if $isoCode == $selected_country_code}
                        {$selected = 'selected'}
                    {/if}
                    <option {$selected|escape:'html':'UTF-8'} value="{$isoCode|escape:'html':'UTF-8'}">{$country|escape:'html':'UTF-8'}</option>
                {/foreach}
            </select>
        {/if}
        {if $is_bank_search }
            <input id="kevin-bank-input" type="text" class="input-text" placeholder="{$text_bank_search_placeholder|escape:'html':'UTF-8'}"
                   onkeyup="filterByBank(this)" data-default_country="{$selected_country_code|escape:'html':'UTF-8'}" data-testid="bank-search-field"/>
        {/if}
    </div>
    <div class="alert alert-info kevin-terms-conditions">
        <em>
            {$text_legal_info|escape:'html':'UTF-8'}
            <a href="https://www.kevin.eu/docs/terms-and-conditions" title="kevin. Terms and conditions" target="_blank">{$text_legal_tos|escape:'html':'UTF-8'}</a>,
            <a href="https://www.kevin.eu/docs/privacy-policy" title="kevin. Privacy policy" target="_blank">{$text_legal_privacy_policy|escape:'html':'UTF-8'}</a>.
        </em>
    </div>
    <div class="row">
        <div class="col-xs-12 kevin-banks-list">
            {foreach $banks as $bank}
                <p class="payment_module kevin_payment_button kevin-bank kevin-country-{$bank['countryCode']|escape:'html':'UTF-8'} kevin-bank-{$bank['name']|escape:'html':'UTF-8'}" data-country="{$bank['countryCode']|escape:'html':'UTF-8'}" {if $selected_country_code != $bank['countryCode']|escape:'html':'UTF-8'}style="display: none" {/if}>
                    <a href="{$bank['redirect_url']|escape:'html':'UTF-8'}" class="kevin_choice" style="background-image:url('{$bank['imageUri']|escape:'htmlall':'UTF-8'}')">
                        {$bank['name']|escape:'html':'UTF-8'}
                    </a>
                </p>
            {/foreach}
        </div>
    </div>

{/if}


{if $is_card_payment }
    <div class="row">
        <div class="col-xs-12">
            <p class="payment_module kevin_payment_button">
                <a href="{$card_payment_redirect_url|escape:'html':'UTF-8'}" class="kevin_choice" style="background-image:url('{$card_payment_img_uri|escape:'htmlall':'UTF-8'}')">
                    {$card_payment_text_title|escape:'html':'UTF-8'}
                </a>
            </p>
        </div>
    </div>
{/if}